data:extend({
  {
    type= "item",
    name= "treehouse",
    icon = "__sleaf-Treehouse__/graphics/icons/treehouse.png",
    flags= { "goes-to-quickbar" },
    subgroup = "sleaf-treehouse",
    order = "a",
    place_result = "treehouseOverlay",
    stack_size= 10,
  },
  {
    type= "item",
    name= "treehand",
    icon = "__base__/graphics/icons/tree-02.png",
    flags= { "goes-to-quickbar" },
    subgroup = "sleaf-treehouse",
    order = "d",
    place_result = "treehand",
    stack_size= 100,
  },
  {
    type= "item",
    name= "treehand-red",
    icon = "__base__/graphics/icons/tree-09.png",
    flags= { "goes-to-quickbar" },
    subgroup = "sleaf-treehouse",
    order = "e",
    place_result = "treehand-red",
    stack_size= 100,
  },
  {
    type = "item",
    name = "th-charcoal",
    icon = "__sleaf-Treehouse__/graphics/icons/charcoal.png",
    flags = {"goes-to-main-inventory"},
    fuel_value = "6MJ",
    subgroup = "raw-material",
    order = "b[coal]-a[th-1]",
    stack_size = 50
  },
  {
    type = "item",
    name = "th-charcoal-dust",
    icon = "__sleaf-Treehouse__/graphics/icons/charcoaldust.png",
    flags = {"goes-to-main-inventory"},
    fuel_value = "1MJ",
    subgroup = "raw-material",
    order = "b[coal]-a[th-2]",
    stack_size = 50
  },
  {
    type = "item",
    name = "stone-chemical-furnace",
    icon = "__base__/graphics/icons/stone-furnace.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "a[stone-furnace]b",
    place_result = "stone-chemical-furnace",
    stack_size = 50
  },
  {
    type = "item",
    name = "steel-chemical-furnace",
    icon = "__base__/graphics/icons/steel-furnace.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "b[steel-furnace]b",
    place_result = "steel-chemical-furnace",
    stack_size = 50
  },
  {
    type = "item",
    name = "electric-chemical-furnace",
    icon = "__base__/graphics/icons/electric-furnace.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "c[electric-furnace]b",
    place_result = "electric-chemical-furnace",
    stack_size = 50
  },
})